HomeREST APISites

Sites

Read and manage the sections (content areas) that organise intranet content.

Note: All endpoints require authentication and an X-Tenant header. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.

Endpoints on this page

GET /api/section/basic-metadata

List basic metadatas.

Parameters

Name In Type Required Description
id query integer (int32) Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "SectionId": 0,
    "ParentSectionId": 0,
    "TopSectionId": 0,
    "Title": "string",
    "TypeId": 0,
    "Type": "string",
    "Description": "string",
    "WelcomeText": "string",
    "AssetId": 0,
    "ShowInMobile": true,
    "Active": true,
    "EnableTranslation": true,
    "LanguageIsRightToLeft": true,
    "SideMenuProperties": {
      "SectionId": 0,
      "TemplateId": 0,
      "TypeId": 0,
      "Type": "string",
      "Url": "string",
      "Grouping": 0,
      "DefaultOrdering": 0,
      "ShowPerPage": 0,
      "ShowAuthor": true,
      "ShowPublicationDate": true,
      "ShowLastUpdatedDate": true,
      "ShowImages": true,
      "ShowPageViews": true,
      "Redirect": true,
      "ShowSearchPanel": true,
      "Target": "string",
      "Bold": true,
      "Italic": true,
      "Colour": "string",
      "AllowVersionControlledDocuments": true,
      "EnableCommentRequests": true,
      "EnableReviewDateNotifications": true,
      "AllowCMSDocuments": true,
      "AllowDMSDocuments": true,
      "TargetHeight": 0,
      "EventNoAttendees": true,
      "EventInvitationOnly": true,
      "EventOpenAttendance": true,
      "BusinessHoursStart": "2024-01-01T00:00:00Z",
      "BusinessHoursEnd": "2024-01-01T00:00:00Z",
      "MondayIncluded": true,
      "TuesdayIncluded": true,
      "WednesdayIncluded": true,
      "ThursdayIncluded": true,
      "FridayIncluded": true,
      "SaturdayIncluded": true,
      "SundayIncluded": true,
      "WeekStartDay": 0,
      "RedCategory": "string",
      "BlueCategory": "string",
      "YellowCategory": "string",
      "GreenCategory": "string",
      "PurpleCategory": "string",
      "DisableChildren": true
    },
    "TopMenuProperties": {
      "SectionId": 0,
      "TypeId": 0,
      "Type": "string",
      "ShowRecommends": true,
      "ShowAuthor": true,
      "ShowQuiz": true,
      "ShowKeywords": true,
      "ShowStats": true,
      "ShowRating": true,
      "ShowUpToDate": true,
      "ShowMandatoryRead": true,
      "ShowPolls": true,
      "ShowComments": true,
      "ShowKey": true,
      "EnableMetadata": true,
      "EnableTasks": true,
      "HashTagMandatory": true,
      "AllowDirectDownload": true,
      "AllowFullWidth": true,
      "Url": "string",
      "AllowTargetedAudience": true,
      "TemplateID": 0,
      "AccessKey": "string",
      "Target": "string",
      "EnableAddHashTag": true,
      "HtmlHeader": "string",
      "MenuLocation": "string",
      "AllowGroupNotifications": true
    },
    "ModuleProperties": {
      "SectionId": 0,
      "Url": "string",
      "Interact27": true,
      "Bespoke": true,
      "IFrameHeight": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/category-hierarchy

List category hierarchies.

Parameters

Name In Type Required Description
minPermission query string No
limit query integer (int32) No
searchTerm query string No

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "SectionId": 0,
        "Title": "string",
        "TitleWithType": "string",
        "Type": "string",
        "TypeId": 0,
        "ParentId": 0,
        "Label": "string"
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/content-areas

List content areas.

🔒Access — Site admin

Responses

Status Body
200 See below

Response body

{
  "Items": [
    {
      "SectionId": 0,
      "TypeId": 0,
      "Title": "string",
      "ParentId": 0,
      "Ordering": 0,
      "IsContentArea": true,
      "Level": 0
    }
  ],
  "Errors": [
    {
      "Id": 0,
      "ErrorStatus": "NotFound",
      "Message": "string"
    }
  ],
  "HasErrors": true,
  "NoErrors": true,
  "ErrorMessage": "string"
}
FieldType
Itemsarray of object
Errorsarray of object
HasErrorsboolean
NoErrorsboolean
ErrorMessagestring

GET /api/section/metadata

List metadata.

Parameters

Name In Type Required Description
id query integer (int32) Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "SectionId": 0,
    "ParentSectionId": 0,
    "TopSectionId": 0,
    "Title": "string",
    "TypeId": 0,
    "Type": "string",
    "Description": "string",
    "WelcomeText": "string",
    "AssetId": 0,
    "ShowInMobile": true,
    "Active": true,
    "EnableTranslation": true,
    "LanguageIsRightToLeft": true,
    "SideMenuProperties": {
      "SectionId": 0,
      "TemplateId": 0,
      "TypeId": 0,
      "Type": "string",
      "Url": "string",
      "Grouping": 0,
      "DefaultOrdering": 0,
      "ShowPerPage": 0,
      "ShowAuthor": true,
      "ShowPublicationDate": true,
      "ShowLastUpdatedDate": true,
      "ShowImages": true,
      "ShowPageViews": true,
      "Redirect": true,
      "ShowSearchPanel": true,
      "Target": "string",
      "Bold": true,
      "Italic": true,
      "Colour": "string",
      "AllowVersionControlledDocuments": true,
      "EnableCommentRequests": true,
      "EnableReviewDateNotifications": true,
      "AllowCMSDocuments": true,
      "AllowDMSDocuments": true,
      "TargetHeight": 0,
      "EventNoAttendees": true,
      "EventInvitationOnly": true,
      "EventOpenAttendance": true,
      "BusinessHoursStart": "2024-01-01T00:00:00Z",
      "BusinessHoursEnd": "2024-01-01T00:00:00Z",
      "MondayIncluded": true,
      "TuesdayIncluded": true,
      "WednesdayIncluded": true,
      "ThursdayIncluded": true,
      "FridayIncluded": true,
      "SaturdayIncluded": true,
      "SundayIncluded": true,
      "WeekStartDay": 0,
      "RedCategory": "string",
      "BlueCategory": "string",
      "YellowCategory": "string",
      "GreenCategory": "string",
      "PurpleCategory": "string",
      "DisableChildren": true
    },
    "TopMenuProperties": {
      "SectionId": 0,
      "TypeId": 0,
      "Type": "string",
      "ShowRecommends": true,
      "ShowAuthor": true,
      "ShowQuiz": true,
      "ShowKeywords": true,
      "ShowStats": true,
      "ShowRating": true,
      "ShowUpToDate": true,
      "ShowMandatoryRead": true,
      "ShowPolls": true,
      "ShowComments": true,
      "ShowKey": true,
      "EnableMetadata": true,
      "EnableTasks": true,
      "HashTagMandatory": true,
      "AllowDirectDownload": true,
      "AllowFullWidth": true,
      "Url": "string",
      "AllowTargetedAudience": true,
      "TemplateID": 0,
      "AccessKey": "string",
      "Target": "string",
      "EnableAddHashTag": true,
      "HtmlHeader": "string",
      "MenuLocation": "string",
      "AllowGroupNotifications": true
    },
    "ModuleProperties": {
      "SectionId": 0,
      "Url": "string",
      "Interact27": true,
      "Bespoke": true,
      "IFrameHeight": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/top-level

List top levels.

Parameters

Name In Type Required Description
minPermission query string No
types query array of integer No
search query string No
offset query integer (int32) No
limit query integer (int32) No
includeSelectAllOption query boolean No
sectionId query integer (int32) No

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "SectionId": 0,
        "Title": "string",
        "TitleWithType": "string",
        "Type": "string",
        "TypeId": 0,
        "ParentId": 0,
        "Label": "string"
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/top-menu-sections

List top menu sections.

Parameters

Name In Type Required Description
topMenuSectionId query integer (int32) Yes
includeDisabledChildren query boolean No
includeTopMenuSection query boolean No
buildBreadcrumbs query boolean No

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "SectionId": 0,
        "Title": "string",
        "TypeID": "string",
        "ParentId": 0,
        "HasPerm": 0,
        "Breadcrumb": "string",
        "EnableTranslation": true,
        "LanguageCode": "string",
        "TopSectionId": 0
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/{sectionId}/is-author

List is authors.

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Items": [
    {
      "SectionId": 0,
      "ParentSectionId": 0,
      "TopSectionId": 0,
      "Title": "string",
      "TypeId": 0,
      "Type": "string",
      "Description": "string",
      "WelcomeText": "string",
      "AssetId": 0,
      "ShowInMobile": true,
      "Active": true,
      "EnableTranslation": true,
      "LanguageIsRightToLeft": true,
      "SideMenuProperties": {
        "SectionId": 0,
        "TemplateId": 0,
        "TypeId": 0,
        "Type": "string",
        "Url": "string",
        "Grouping": 0,
        "DefaultOrdering": 0,
        "ShowPerPage": 0,
        "ShowAuthor": true,
        "ShowPublicationDate": true,
        "ShowLastUpdatedDate": true,
        "ShowImages": true,
        "ShowPageViews": true,
        "Redirect": true,
        "ShowSearchPanel": true,
        "Target": "string",
        "Bold": true,
        "Italic": true,
        "Colour": "string",
        "AllowVersionControlledDocuments": true,
        "EnableCommentRequests": true,
        "EnableReviewDateNotifications": true,
        "AllowCMSDocuments": true,
        "AllowDMSDocuments": true,
        "TargetHeight": 0,
        "EventNoAttendees": true,
        "EventInvitationOnly": true,
        "EventOpenAttendance": true,
        "BusinessHoursStart": "2024-01-01T00:00:00Z",
        "BusinessHoursEnd": "2024-01-01T00:00:00Z",
        "MondayIncluded": true,
        "TuesdayIncluded": true,
        "WednesdayIncluded": true,
        "ThursdayIncluded": true,
        "FridayIncluded": true,
        "SaturdayIncluded": true,
        "SundayIncluded": true,
        "WeekStartDay": 0,
        "RedCategory": "string",
        "BlueCategory": "string",
        "YellowCategory": "string",
        "GreenCategory": "string",
        "PurpleCategory": "string",
        "DisableChildren": true
      },
      "TopMenuProperties": {
        "SectionId": 0,
        "TypeId": 0,
        "Type": "string",
        "ShowRecommends": true,
        "ShowAuthor": true,
        "ShowQuiz": true,
        "ShowKeywords": true,
        "ShowStats": true,
        "ShowRating": true,
        "ShowUpToDate": true,
        "ShowMandatoryRead": true,
        "ShowPolls": true,
        "ShowComments": true,
        "ShowKey": true,
        "EnableMetadata": true,
        "EnableTasks": true,
        "HashTagMandatory": true,
        "AllowDirectDownload": true,
        "AllowFullWidth": true,
        "Url": "string",
        "AllowTargetedAudience": true,
        "TemplateID": 0,
        "AccessKey": "string",
        "Target": "string",
        "EnableAddHashTag": true,
        "HtmlHeader": "string",
        "MenuLocation": "string",
        "AllowGroupNotifications": true
      },
      "ModuleProperties": {
        "SectionId": 0,
        "Url": "string",
        "Interact27": true,
        "Bespoke": true,
        "IFrameHeight": 0
      }
    }
  ],
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemsarray of object
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/{sectionId}/is-subscribed

Check whether the person is subscribed.

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Items": [
    {
      "SectionId": 0,
      "ParentSectionId": 0,
      "TopSectionId": 0,
      "Title": "string",
      "TypeId": 0,
      "Type": "string",
      "Description": "string",
      "WelcomeText": "string",
      "AssetId": 0,
      "ShowInMobile": true,
      "Active": true,
      "EnableTranslation": true,
      "LanguageIsRightToLeft": true,
      "SideMenuProperties": {
        "SectionId": 0,
        "TemplateId": 0,
        "TypeId": 0,
        "Type": "string",
        "Url": "string",
        "Grouping": 0,
        "DefaultOrdering": 0,
        "ShowPerPage": 0,
        "ShowAuthor": true,
        "ShowPublicationDate": true,
        "ShowLastUpdatedDate": true,
        "ShowImages": true,
        "ShowPageViews": true,
        "Redirect": true,
        "ShowSearchPanel": true,
        "Target": "string",
        "Bold": true,
        "Italic": true,
        "Colour": "string",
        "AllowVersionControlledDocuments": true,
        "EnableCommentRequests": true,
        "EnableReviewDateNotifications": true,
        "AllowCMSDocuments": true,
        "AllowDMSDocuments": true,
        "TargetHeight": 0,
        "EventNoAttendees": true,
        "EventInvitationOnly": true,
        "EventOpenAttendance": true,
        "BusinessHoursStart": "2024-01-01T00:00:00Z",
        "BusinessHoursEnd": "2024-01-01T00:00:00Z",
        "MondayIncluded": true,
        "TuesdayIncluded": true,
        "WednesdayIncluded": true,
        "ThursdayIncluded": true,
        "FridayIncluded": true,
        "SaturdayIncluded": true,
        "SundayIncluded": true,
        "WeekStartDay": 0,
        "RedCategory": "string",
        "BlueCategory": "string",
        "YellowCategory": "string",
        "GreenCategory": "string",
        "PurpleCategory": "string",
        "DisableChildren": true
      },
      "TopMenuProperties": {
        "SectionId": 0,
        "TypeId": 0,
        "Type": "string",
        "ShowRecommends": true,
        "ShowAuthor": true,
        "ShowQuiz": true,
        "ShowKeywords": true,
        "ShowStats": true,
        "ShowRating": true,
        "ShowUpToDate": true,
        "ShowMandatoryRead": true,
        "ShowPolls": true,
        "ShowComments": true,
        "ShowKey": true,
        "EnableMetadata": true,
        "EnableTasks": true,
        "HashTagMandatory": true,
        "AllowDirectDownload": true,
        "AllowFullWidth": true,
        "Url": "string",
        "AllowTargetedAudience": true,
        "TemplateID": 0,
        "AccessKey": "string",
        "Target": "string",
        "EnableAddHashTag": true,
        "HtmlHeader": "string",
        "MenuLocation": "string",
        "AllowGroupNotifications": true
      },
      "ModuleProperties": {
        "SectionId": 0,
        "Url": "string",
        "Interact27": true,
        "Bespoke": true,
        "IFrameHeight": 0
      }
    }
  ],
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemsarray of object
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

PATCH /api/section/{sectionId}

Update a section.

🔒Access — Power user

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes

Request body

{
  "title": {},
  "description": {}
}
FieldType
titleobject
descriptionobject

Responses

Status Body
200 object

GET /api/section/{sectionId}/permitted-sections

List permitted sections.

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes
childSectionIds query array of integer Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Items": [
    {
      "SectionId": 0,
      "ParentSectionId": 0,
      "TopSectionId": 0,
      "Title": "string",
      "TypeId": 0,
      "Type": "string",
      "Description": "string",
      "WelcomeText": "string",
      "AssetId": 0,
      "ShowInMobile": true,
      "Active": true,
      "EnableTranslation": true,
      "LanguageIsRightToLeft": true,
      "SideMenuProperties": {
        "SectionId": 0,
        "TemplateId": 0,
        "TypeId": 0,
        "Type": "string",
        "Url": "string",
        "Grouping": 0,
        "DefaultOrdering": 0,
        "ShowPerPage": 0,
        "ShowAuthor": true,
        "ShowPublicationDate": true,
        "ShowLastUpdatedDate": true,
        "ShowImages": true,
        "ShowPageViews": true,
        "Redirect": true,
        "ShowSearchPanel": true,
        "Target": "string",
        "Bold": true,
        "Italic": true,
        "Colour": "string",
        "AllowVersionControlledDocuments": true,
        "EnableCommentRequests": true,
        "EnableReviewDateNotifications": true,
        "AllowCMSDocuments": true,
        "AllowDMSDocuments": true,
        "TargetHeight": 0,
        "EventNoAttendees": true,
        "EventInvitationOnly": true,
        "EventOpenAttendance": true,
        "BusinessHoursStart": "2024-01-01T00:00:00Z",
        "BusinessHoursEnd": "2024-01-01T00:00:00Z",
        "MondayIncluded": true,
        "TuesdayIncluded": true,
        "WednesdayIncluded": true,
        "ThursdayIncluded": true,
        "FridayIncluded": true,
        "SaturdayIncluded": true,
        "SundayIncluded": true,
        "WeekStartDay": 0,
        "RedCategory": "string",
        "BlueCategory": "string",
        "YellowCategory": "string",
        "GreenCategory": "string",
        "PurpleCategory": "string",
        "DisableChildren": true
      },
      "TopMenuProperties": {
        "SectionId": 0,
        "TypeId": 0,
        "Type": "string",
        "ShowRecommends": true,
        "ShowAuthor": true,
        "ShowQuiz": true,
        "ShowKeywords": true,
        "ShowStats": true,
        "ShowRating": true,
        "ShowUpToDate": true,
        "ShowMandatoryRead": true,
        "ShowPolls": true,
        "ShowComments": true,
        "ShowKey": true,
        "EnableMetadata": true,
        "EnableTasks": true,
        "HashTagMandatory": true,
        "AllowDirectDownload": true,
        "AllowFullWidth": true,
        "Url": "string",
        "AllowTargetedAudience": true,
        "TemplateID": 0,
        "AccessKey": "string",
        "Target": "string",
        "EnableAddHashTag": true,
        "HtmlHeader": "string",
        "MenuLocation": "string",
        "AllowGroupNotifications": true
      },
      "ModuleProperties": {
        "SectionId": 0,
        "Url": "string",
        "Interact27": true,
        "Bespoke": true,
        "IFrameHeight": 0
      }
    }
  ],
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemsarray of object
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/{sectionId}/permitted-sections/search

List search.

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes
searchTerm query string No

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Items": [
    {
      "SectionId": 0,
      "ParentSectionId": 0,
      "TopSectionId": 0,
      "Title": "string",
      "TypeId": 0,
      "Type": "string",
      "Description": "string",
      "WelcomeText": "string",
      "AssetId": 0,
      "ShowInMobile": true,
      "Active": true,
      "EnableTranslation": true,
      "LanguageIsRightToLeft": true,
      "SideMenuProperties": {
        "SectionId": 0,
        "TemplateId": 0,
        "TypeId": 0,
        "Type": "string",
        "Url": "string",
        "Grouping": 0,
        "DefaultOrdering": 0,
        "ShowPerPage": 0,
        "ShowAuthor": true,
        "ShowPublicationDate": true,
        "ShowLastUpdatedDate": true,
        "ShowImages": true,
        "ShowPageViews": true,
        "Redirect": true,
        "ShowSearchPanel": true,
        "Target": "string",
        "Bold": true,
        "Italic": true,
        "Colour": "string",
        "AllowVersionControlledDocuments": true,
        "EnableCommentRequests": true,
        "EnableReviewDateNotifications": true,
        "AllowCMSDocuments": true,
        "AllowDMSDocuments": true,
        "TargetHeight": 0,
        "EventNoAttendees": true,
        "EventInvitationOnly": true,
        "EventOpenAttendance": true,
        "BusinessHoursStart": "2024-01-01T00:00:00Z",
        "BusinessHoursEnd": "2024-01-01T00:00:00Z",
        "MondayIncluded": true,
        "TuesdayIncluded": true,
        "WednesdayIncluded": true,
        "ThursdayIncluded": true,
        "FridayIncluded": true,
        "SaturdayIncluded": true,
        "SundayIncluded": true,
        "WeekStartDay": 0,
        "RedCategory": "string",
        "BlueCategory": "string",
        "YellowCategory": "string",
        "GreenCategory": "string",
        "PurpleCategory": "string",
        "DisableChildren": true
      },
      "TopMenuProperties": {
        "SectionId": 0,
        "TypeId": 0,
        "Type": "string",
        "ShowRecommends": true,
        "ShowAuthor": true,
        "ShowQuiz": true,
        "ShowKeywords": true,
        "ShowStats": true,
        "ShowRating": true,
        "ShowUpToDate": true,
        "ShowMandatoryRead": true,
        "ShowPolls": true,
        "ShowComments": true,
        "ShowKey": true,
        "EnableMetadata": true,
        "EnableTasks": true,
        "HashTagMandatory": true,
        "AllowDirectDownload": true,
        "AllowFullWidth": true,
        "Url": "string",
        "AllowTargetedAudience": true,
        "TemplateID": 0,
        "AccessKey": "string",
        "Target": "string",
        "EnableAddHashTag": true,
        "HtmlHeader": "string",
        "MenuLocation": "string",
        "AllowGroupNotifications": true
      },
      "ModuleProperties": {
        "SectionId": 0,
        "Url": "string",
        "Interact27": true,
        "Bespoke": true,
        "IFrameHeight": 0
      }
    }
  ],
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemsarray of object
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/section/site/{siteId}/block-editor-pages/search

List search.

Parameters

Name In Type Required Description
siteId path integer (int32) Yes
searchTerm query string No
limit query integer (int32) No
configuredPageId query integer (int64) No

Responses

Status Body
200 See below
400
401
500

Response body

[
  {
    "ContentId": 0,
    "Title": "string",
    "LastUpdatedDate": "2024-01-01T00:00:00Z",
    "IsExpired": true
  }
]
FieldType
ContentIdinteger (int64)
Titlestring
LastUpdatedDatestring (date-time)
IsExpiredboolean

POST /api/section/{sectionId}/subscription/toggle

Create a toggle.

Parameters

Name In Type Required Description
sectionId path integer (int32) Yes

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Items": [
    {
      "SectionId": 0,
      "ParentSectionId": 0,
      "TopSectionId": 0,
      "Title": "string",
      "TypeId": 0,
      "Type": "string",
      "Description": "string",
      "WelcomeText": "string",
      "AssetId": 0,
      "ShowInMobile": true,
      "Active": true,
      "EnableTranslation": true,
      "LanguageIsRightToLeft": true,
      "SideMenuProperties": {
        "SectionId": 0,
        "TemplateId": 0,
        "TypeId": 0,
        "Type": "string",
        "Url": "string",
        "Grouping": 0,
        "DefaultOrdering": 0,
        "ShowPerPage": 0,
        "ShowAuthor": true,
        "ShowPublicationDate": true,
        "ShowLastUpdatedDate": true,
        "ShowImages": true,
        "ShowPageViews": true,
        "Redirect": true,
        "ShowSearchPanel": true,
        "Target": "string",
        "Bold": true,
        "Italic": true,
        "Colour": "string",
        "AllowVersionControlledDocuments": true,
        "EnableCommentRequests": true,
        "EnableReviewDateNotifications": true,
        "AllowCMSDocuments": true,
        "AllowDMSDocuments": true,
        "TargetHeight": 0,
        "EventNoAttendees": true,
        "EventInvitationOnly": true,
        "EventOpenAttendance": true,
        "BusinessHoursStart": "2024-01-01T00:00:00Z",
        "BusinessHoursEnd": "2024-01-01T00:00:00Z",
        "MondayIncluded": true,
        "TuesdayIncluded": true,
        "WednesdayIncluded": true,
        "ThursdayIncluded": true,
        "FridayIncluded": true,
        "SaturdayIncluded": true,
        "SundayIncluded": true,
        "WeekStartDay": 0,
        "RedCategory": "string",
        "BlueCategory": "string",
        "YellowCategory": "string",
        "GreenCategory": "string",
        "PurpleCategory": "string",
        "DisableChildren": true
      },
      "TopMenuProperties": {
        "SectionId": 0,
        "TypeId": 0,
        "Type": "string",
        "ShowRecommends": true,
        "ShowAuthor": true,
        "ShowQuiz": true,
        "ShowKeywords": true,
        "ShowStats": true,
        "ShowRating": true,
        "ShowUpToDate": true,
        "ShowMandatoryRead": true,
        "ShowPolls": true,
        "ShowComments": true,
        "ShowKey": true,
        "EnableMetadata": true,
        "EnableTasks": true,
        "HashTagMandatory": true,
        "AllowDirectDownload": true,
        "AllowFullWidth": true,
        "Url": "string",
        "AllowTargetedAudience": true,
        "TemplateID": 0,
        "AccessKey": "string",
        "Target": "string",
        "EnableAddHashTag": true,
        "HtmlHeader": "string",
        "MenuLocation": "string",
        "AllowGroupNotifications": true
      },
      "ModuleProperties": {
        "SectionId": 0,
        "Url": "string",
        "Interact27": true,
        "Bespoke": true,
        "IFrameHeight": 0
      }
    }
  ],
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Itemsarray of object
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean
Section: REST API